Creates a run in queued state. Call POST /agent/v1/run/:id/exec to start execution.
curl --request POST \
--url https://api.case.dev/agent/v1/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"prompt": "<string>",
"guidance": "<string>",
"model": "<string>",
"objectIds": [
"<string>"
],
"callbackUrl": "<string>"
}
'{
"id": "<string>",
"agentId": "<string>",
"status": "queued",
"objectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}API key starting with sk_case_
ID of the agent to run
Task prompt for the agent
Additional guidance for this run
Override the agent default model for this run
Scope this run to specific vault object IDs. The agent will only be able to access these objects during execution.
HTTPS callback URL to receive a notification when the run completes. Registered atomically with the run — eliminates the race condition of calling /watch after /exec. Additional watchers can still be added via POST /run/:id/watch.
Was this page helpful?
curl --request POST \
--url https://api.case.dev/agent/v1/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"prompt": "<string>",
"guidance": "<string>",
"model": "<string>",
"objectIds": [
"<string>"
],
"callbackUrl": "<string>"
}
'{
"id": "<string>",
"agentId": "<string>",
"status": "queued",
"objectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}